Agency suspense promise items
When creating an agency bill promise, you can also create a series of agency bill suspense promise items. Agency suspense promise items are promise items where the producer exists in BillingCenter, but the target policy, policy period, charge, or invoice item does not.
For example, a BillingCenter user might create agency suspense promise items when a producer submits a promise for a policy that is not yet bound, and thus does not yet exist in BillingCenter.
You can retrieve and release agency suspense promise items using Cloud API. You can retrieve agency suspense promise items on saved, reversed, executed, and applied promises.
Retrieve agency suspense promise items
- GET
/billing/v1/producers/{producerId}/ab-promised-monies/{abPromisedMoneyId}/agency-cycle-promises/{agencyCyclePromiseId}/agency-suspense-promise-items - GET
/billing/v1/producers/{producerId}/ab-promised-monies/{abPromisedMoneyId}/agency-cycle-promises/{agencyCyclePromiseId}/agency-suspense-promise-items/{agencySuspPromiseItemId}
For example, the following demonstrates GETing all agency suspense promise items associated with an agency cycle promise.
GET /billing/v1/producers/bc:Soa-8C6B6P5nX_Okwwz3q/ab-promised-monies/bc:SQfb1_KXPUA7a20kJYM5I/agency-cycle-promises/bc:SjSHEUL091NVYrupy03oA/agency-suspense-promise-items{
"count": 2,
"data": [
{
"attributes": {
"commissionAmountToApply": {
"amount": "5.00",
"currency": "usd"
},
"currency": {
"code": "usd",
"name": "USD"
},
"executedDate": "2026-03-21",
"grossAmountToApply": {
"amount": "50.00",
"currency": "usd"
},
"id": "bc:SRcFUT9GaKjXg6qIesj2b",
"policyNumber": "pc:443"
},
"checksum": "0",
"links": {
"release": {
"href": "/billing/v1/producers/bc:Soa-8C6B6P5nX_Okwwz3q/ab-promised-monies/bc:SQfb1_KXPUA7a20kJYM5I/agency-cycle-promises/bc:SjSHEUL091NVYrupy03oA/agency-suspense-promise-items/bc:SRcFUT9GaKjXg6qIesj2b/release",
"methods": [
"post"
]
},
"self": {
"href": "/billing/v1/producers/bc:Soa-8C6B6P5nX_Okwwz3q/ab-promised-monies/bc:SQfb1_KXPUA7a20kJYM5I/agency-cycle-promises/bc:SjSHEUL091NVYrupy03oA/agency-suspense-promise-items/bc:SRcFUT9GaKjXg6qIesj2b",
"methods": [
"get"
]
}
}
}
...
]
}Creating agency suspense promise items
Agency suspense promise items are created in a similar manner to agency promise items in Cloud API: they are created when Create an agency bill promise with distribution.
When creating an agency bill promise through Cloud API, you can create agency
suspense promise items or agency promise items or both. Like agency promise items,
provide agency suspense promise items in the agencyCyclePromise
object. Agency suspense promise items are specified in the
agencySuspPromiseItems array.
grossAmountToApply- The gross amount of the suspense itemcommissionAmountToApply- The commission amount of the suspense itemcurrency- The currency, as a typekey reference
You can also include the expected policy number using the
policyNumber field, though it is not required.
The following example call demonstrates creating an agency bill promise with an agency suspense promise item of $50 gross with $5 commission.
POST /billing/v1/producers/{producerId}/ab-promised-moniesRequest body
{
"data": {
"attributes": {
"saved": true,
"agencyCyclePromise": {
"agencySuspPromiseItems": [
{
"commissionAmountToApply": {
"amount": "5.00",
"currency": "usd"
},
"currency": {
"code": "usd"
},
"grossAmountToApply": {
"amount": "50.00",
"currency": "usd"
}
}
],
"currency": {
"code": "usd"
}
},
"name": "promisedemo",
"amount": {
"amount": "50",
"currency": "usd"
},
"currency": {
"code": "usd"
},
"receivedDate": "2026-03-18"
}
}
}
Releasing agency suspense promise items
When an agency suspense promise item is released, it is designated to be an actual promise item.
- POST
/producers/{producerId}/ab-promised-monies/{abPromisedMoneyId}/agency-cycle-promises/{agencyCyclePromiseId}/agency-suspense-promise-items/{agencySuspPromiseItemId}/release
To be released, the agency suspense promise item must have a status of Executed.
No request body is needed. For example:
POST /billing/v1/producers/bc:Soa-8C6B6P5nX_Okwwz3q/ab-promised-monies/bc:SQfb1_KXPUA7a20kJYM5I/agency-cycle-promises/bc:SjSHEUL091NVYrupy03oA/agency-suspense-promise-items/bc:SRcFUT9GaKjXg6qIesj2b/releaseRequest
body<no request body>